RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::websocket::basic::impl::ws_outgoing_data_t Class Reference

A queue for outgoing buffers. More...

`#include <ws_connection.hpp>`

## Public Member Functions
void | append (write_group_t wg)
| Add buffers to queue. More...
optional_t< write_group_t > | pop_ready_buffers ()

## Private Attributes
write_groups_queue_t | m_awaiting_write_groups
| A queue of buffers. More...

## Detailed Description

A queue for outgoing buffers.

Definition at line 56 of file ws_connection.hpp.

## Member Function Documentation

## ◆ append()

void restinio::websocket::basic::impl::ws_outgoing_data_t::append | ( | write_group_t | wg | ) |
| inline

Add buffers to queue.

Definition at line 61 of file ws_connection.hpp.

## ◆ pop_ready_buffers()

optional_t< write_group_t > restinio::websocket::basic::impl::ws_outgoing_data_t::pop_ready_buffers | ( |  | ) |
| inline

Definition at line 67 of file ws_connection.hpp.

## Member Data Documentation

## ◆ m_awaiting_write_groups

write_groups_queue_t restinio::websocket::basic::impl::ws_outgoing_data_t::m_awaiting_write_groups
| private

A queue of buffers.

Definition at line 82 of file ws_connection.hpp.

The documentation for this class was generated from the following file:

- restinio/websocket/impl/ws_connection.hpp